Subject: bug#76055: closed (Re: bug#76055: 29.4; Doc of string-empty-p)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Mar 2025 02:50:02 +0000

Your bug report

#76055: 29.4; Doc of string-empty-p

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76055: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76055
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#76055: 29.4; Doc of string-empty-p
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Drew Adams <[email-masked]>
Date: Mon, 3 Mar 2025 18:49:05 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Drew Adams <[email-masked]>
>> CC: "[email-masked]" <[email-masked]>,
>>         "[email-masked]"
>> 	<[email-masked]>
>> Date: Tue, 18 Feb 2025 17:49:52 +0000
>>
>> > > > Doesn't sound like a reason good enough to say potentially confusing
>> > > > things in a doc string.
>> > > >
>> > > > So no, still no justification and still no other opinions except
>> > > > yours.
>> > >
>> > > What's "potentially confusing" about the doc
>> > > saying exactly what the doc of `string=' says
>> > > about this oddity (corner case)?
>> >
>> > The fact that the "empty string" notion is
>> > applied to symbols, of course.
>>
>> That's not confusion from the doc.  It's from
>> the function that the doc describes.
>
> A doc string is always supposed to describe its function.
>
>> What's unexpected and possibly confusing is
>> that the function _does_ apply that "notion"
>> to symbols, as well as strings.
>
> Like I said at the very beginning: this is not intentional.  It is
> just a side effect of the implementation.
>
>> Which is why it's important for the function's doc to tell you about
>> this oddity.
>
> No, it's the other way around.  Which I also said at the very
> beginning.
>
> So we have now completed a full circle, which is a clear sign that
> this discussion exhausted itself, and should be discontinued.

Agreed.  I'm therefore closing this bug report.

Subject: 29.4; Doc of string-empty-p
From: Drew Adams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 4 Feb 2025 20:28:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

The doc string should tell you that it treats a symbol for arg STRING,
instead of a string, by checking its `symbol-name'.  E.g., like what is
done for `string=':

 Symbols are also allowed; their print names are used instead.

This should be done for _each_ function where a string is said to be the
expected arg but where we also allow a symbol.

In GNU Emacs 29.4 (build 2, x86_64-w64-mingw32) of 2024-07-05 built on
 AVALON
Windowing system distributor 'Microsoft Corp.', version 10.0.19045
System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.5371)

Configured using:
 'configure --with-modules --without-dbus --with-native-compilation=aot
 --without-compress-install --with-sqlite3 --with-tree-sitter
 CFLAGS=-O2'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

(NATIVE_COMP present but libgccjit not available)

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252